Skip to main content
summaryrefslogtreecommitdiffstats
path: root/releng
diff options
context:
space:
mode:
authorEike Stepper2011-05-13 09:20:52 +0000
committerEike Stepper2011-05-13 09:20:52 +0000
commited94441a1203b8936faf8649600d9421a35066d8 (patch)
tree94423fb0c834dc5c74215552426e02c9f4b17a33 /releng
parent4a290d08d9420453a315fd64ffd46a978399e87a (diff)
downloadcdo-ed94441a1203b8936faf8649600d9421a35066d8.tar.gz
cdo-ed94441a1203b8936faf8649600d9421a35066d8.tar.xz
cdo-ed94441a1203b8936faf8649600d9421a35066d8.zip
remove mirroring config (to be added by promote.sh later in the process)
Diffstat (limited to 'releng')
-rw-r--r--releng/org.eclipse.emf.cdo.releng/hudson/promote-integration.sh45
-rw-r--r--releng/org.eclipse.emf.cdo.releng/hudson/promote-milestone.sh11
2 files changed, 50 insertions, 6 deletions
diff --git a/releng/org.eclipse.emf.cdo.releng/hudson/promote-integration.sh b/releng/org.eclipse.emf.cdo.releng/hudson/promote-integration.sh
new file mode 100644
index 0000000000..4df8d3f18d
--- /dev/null
+++ b/releng/org.eclipse.emf.cdo.releng/hudson/promote-integration.sh
@@ -0,0 +1,45 @@
+stream=4.0
+buildID=1320
+
+mkdir promote.tmp
+pushd promote.tmp
+
+/shared/common/apache-ant-1.7.1/bin/ant -f /shared/modeling/tools/promotion/download-artifacts.xml -Dbuild.url=https://hudson.eclipse.org/hudson/job/emf-cdo-integration/$buildID -Dartifact.prefix=result/site.p2/
+
+label=`ls`
+pushd $label
+
+/shared/common/apache-ant-1.7.1/bin/ant -f /shared/modeling/tools/promotion/unpack-iu.xml -Dunpack.iu=org.apache.derby
+
+PROBLEM_BUNDLES="$(
+ for P in plugins/*.jar.pack.gz; do
+ /shared/common/jdk-1.5.0-22.x86_64/bin/unpack200 --quiet "$P" /dev/null > /dev/null || basename "$P"
+ done
+)"
+
+if [ -n "$PROBLEM_BUNDLES" ]; then
+ echo "Problems encountered unpacking the following bundles:"
+ echo "$PROBLEM_BUNDLES"
+ exit 2
+fi
+
+jar xf content.jar
+sed -i "/<property name='p2\.compressed'/a \ \ \ \ <property name='p2.mirrorsURL' value='http://www.eclipse.org/downloads/download.php?file=/modeling/emf/cdo/updates/$stream/$stream-$label&amp;protocol=http&amp;format=xml'/>'>" content.xml
+jar cvf content.jar content.xml
+
+jar xf artifacts.jar
+sed -i "/<property name='p2\.compressed'/a \ \ \ \ <property name='p2.mirrorsURL' value='http://www.eclipse.org/downloads/download.php?file=/modeling/emf/cdo/updates/$stream/$stream-$label&amp;protocol=http&amp;format=xml'/>'>" artifacts.xml
+jar cvf artifacts.jar artifacts.xml
+
+cp -R . /home/data/httpd/download.eclipse.org/modeling/emf/cdo/updates/$stream/$stream-$label
+
+popd
+popd
+
+pushd /home/data/httpd/download.eclipse.org/modeling/emf/cdo/updates/$stream-integration
+/shared/common/apache-ant-1.7.1/bin/ant -f /shared/modeling/tools/promotion/manage-composite.xml add -Dchild.repository=../$stream/$stream-$label
+popd
+
+rm -rf promote.tmp
+
+svn cp -m "Tagging trunk as $stream-$label" https://dev.eclipse.org/svnroot/modeling/org.eclipse.emf.cdo/trunk https://dev.eclipse.org/svnroot/modeling/org.eclipse.emf.cdo/tags/$stream-$label
diff --git a/releng/org.eclipse.emf.cdo.releng/hudson/promote-milestone.sh b/releng/org.eclipse.emf.cdo.releng/hudson/promote-milestone.sh
index a5d1e080bc..83f7077c77 100644
--- a/releng/org.eclipse.emf.cdo.releng/hudson/promote-milestone.sh
+++ b/releng/org.eclipse.emf.cdo.releng/hudson/promote-milestone.sh
@@ -35,9 +35,8 @@ popd
rm -rf promote.tmp
-echo ""
-echo "After testing http://download.eclipse.org/modeling/emf/cdo/updates/$stream/$stream-$milestone-$label execute:"
-echo ""
-echo "pushd /home/data/httpd/download.eclipse.org/modeling/emf/cdo/updates/$stream; cp -R $stream-$milestone-$label staging.tmp; mv staging staging.old; mv staging.tmp staging; rm -rf staging.old; popd"
-echo ""
-echo "svn cp -m \"Tagging trunk as $stream-$milestone\" https://dev.eclipse.org/svnroot/modeling/org.eclipse.emf.cdo/trunk https://dev.eclipse.org/svnroot/modeling/org.eclipse.emf.cdo/tags/$stream-$milestone"
+svn cp -m "Tagging trunk as $stream-$milestone" https://dev.eclipse.org/svnroot/modeling/org.eclipse.emf.cdo/trunk https://dev.eclipse.org/svnroot/modeling/org.eclipse.emf.cdo/tags/$stream-$milestone
+
+
+# ONLY FOR RELEASE TRAIN CONTRIBUTIONS:
+pushd /home/data/httpd/download.eclipse.org/modeling/emf/cdo/updates/$stream; cp -R $stream-$milestone-$label staging.tmp; mv staging staging.old; mv staging.tmp staging; rm -rf staging.old; popd

Back to the top